import * as path from 'path';

interface Resolve {
  extensions: string[];
  modules: string[] | undefined;
  mainFields: string[] | undefined;
}

const env = process.env.NODE_ENV;

export default function(dirname: string): Resolve {
  return {
    extensions: ['.webpack.js', '.web.js', '.js', '.jsx', '.tsx', '.ts', '.web.ts', '.scss', '.css'],
    modules: env !== 'development' ? [path.resolve(dirname, 'node_modules')] : undefined,
    mainFields: env !== 'development' ? ['jsnext:main', 'main'] : undefined
  };
}